<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('menu.viewdirectory.label')"/></title>
        <meta name="section" content="applications" />
    </head>
    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="5" />
        </jsp:include>

        <script language="javascript">
            function addDirectory() {
                var form = document.directoriesForm;
                form.action = '<ww:url value="'/console/secure/application/application.UpdateDirectories!addDirectory.jspa'" />';
                form.submit();
            }

            function addGroup() {
                var form = document.groupsForm;
                form.action = '<ww:url value="'/console/secure/application/application.UpdateGroups!addGroup.jspa'" />';
                form.submit();
            }

            function addAddress() {
                var form = document.addressForm;
                form.action = '<ww:url value="'/console/secure/application/application.UpdateAddresses!addAddress.jspa'" />';
                form.submit();
            }
        </script>


        <div class="content">

            <p class="headingInfo">
                <a href="<ww:url page="/console/secure/application/application.AddApplication!default.jspa" />"><ww:property value="text('menu.addapplication.label')"/></a>
                &nbsp; | &nbsp;
                <a href="<ww:url page="/console/secure/application/application.RemoveApplication!default.jspa" />?ID=<ww:property value="ID" />"><ww:property value="text('manu.removeapplication.label')"/></a>
            </p>

            <h2><ww:property value="text('menu.viewapplication.label')"/>&nbsp;&ndash;&nbsp;<ww:property value="name"/></h2>


            <ul class="tabs">
                <li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);" >
                        <ww:property value="text('menu.details.label')"/>
                    </a>
                </li>

               <li id="hreftab2">
                    <a href="javascript:processTabs(2);" >
                        <ww:property value="text('menu.directory.label')"/>
                    </a>
                </li>

               <li id="hreftab3">
                    <a href="javascript:processTabs(3);" >
                        <ww:property value="text('menu.group.label')"/>
                    </a>
                </li>

               <li id="hreftab4">
                    <a href="javascript:processTabs(4);" >
                        <ww:property value="text('menu.address.label')"/>
                    </a>
                </li>

               <li id="hreftab5">
                    <a href="javascript:processTabs(5);" >
                        <ww:property value="text('menu.configtest.label')"/>
                    </a>
                </li>
            </ul>

            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/application/application.UpdateApplication!update.jspa'" />">

                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <ww:textfield name="'name'" label="text('application.name.label')" size="'35px;'" >
                        <ww:param name="'description'"><ww:property value="text('application.name.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'description'" label="text('application.description.label')" size="'35px;'" >
                        <ww:param name="'description'"><ww:property value="text('application.description.description')"/></ww:param>
                    </ww:textfield>

                    <ww:checkbox name="'active'" label="text('application.active.label')" fieldValue="true">
                    </ww:checkbox>

                    <div class="row">
                        <label for="'<ww:property value="text('application.conception.label')"/>'"><ww:property value="text('application.conception.label')"/>:</label>

                        <span class="value"><ww:property value="application/conception" /></span>
                    </div>

                    <div class="row">
                        <label for="'<ww:property value="text('application.lastmodified.label')"/>'"><ww:property value="text('application.lastmodified.label')"/>:</label>

                        <span class="value"><ww:property value="application/lastModified" /></span>
                    </div>

                    <ww:password name="'password'" label="text('password.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('application.password.description')"/></ww:param>
                    </ww:password>

                    <ww:password name="'passwordConfirm'" label="text('passwordconfirm.label')" size="'35px;'">
                    </ww:password>

                    <div class="row">
                        <span class="value">
                            <p style="text-align: right">
                                <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;" />
                                <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/application/application.ViewApplication!default.jspa'" />?ID=<ww:property value="ID"/>&tab=1';"/>
                            </p>
                        </span>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab2">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/application/application.UpdateDirectories!update.jspa'" />" name="directoriesForm">

                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />
                    <input type="hidden" name="tab" value="2" />

                    <table id="directoriesTable">

                        <ww:if test="application/directories/size > 1">
                            <tr>
                                <th width="42%"><ww:property value="text('browser.directory.label')" /></th>
                                <!-- <th width="18%"><ww:property value="text('browser.viewonly.label')" /></th> -->
                                <th width="24%"><ww:property value="text('browser.directoryorder.label')" /></th>
                                <th width="24%"><ww:property value="text('browser.action.label')" /></th>
                            </tr>
                        </ww:if>
                        <ww:else>
                            <tr>
                                <th width="76%"><ww:property value="text('browser.directory.label')" /></th>
                                <!-- <th width="18%"><ww:property value="text('browser.viewonly.label')" /></th> -->
                                <th width="24%"><ww:property value="text('browser.action.label')" /></th>
                            </tr>
                        </ww:else>

                        <ww:iterator value="application/directories" status="'rowstatus'">

                            <input type="hidden" name="directory<ww:property value="@rowstatus/count" />" value="<ww:property value="directory/ID" />" />

                            <ww:if test="@rowstatus/odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                                <td><ww:property value="directory/name" /></td>

                            <!--
                                <td>
                                    <select name="directory<ww:property value="@rowstatus/count" />-viewOnly" style="width: 130px;">
                                        <option value="true" <ww:if test="viewOnly == true">selected</ww:if>><ww:property value="text('true.label')" /></option>
                                        <option value="false" <ww:if test="viewOnly == false">selected</ww:if>><ww:property value="text('false.label')" /></option>
                                    </select>
                                </td>
                            -->

                                <ww:if test="application/directories/size > 1">
                                    <td style="text-align: center;">
                                    <ww:if test="@rowstatus/count > 1 && @rowstatus/count != 0">
                                        <a href="<ww:url value="'/console/secure/application/application.UpdateDirectories!up.jspa'" />?ID=<ww:property value="ID" />&directoryID=<ww:property value="directory/ID" />&tab=2" name="<ww:property value="text('moveup.label')" />"><img src="<ww:url value="'/console/images/icons/16x16/arrow_up_blue.gif'" />" alt="<ww:property value="text('moveup.label')" />" /></a>
                                    </ww:if>

                                    <ww:if test="@rowstatus/last == false">

                                        <ww:if test="@rowstatus/first == false">
                                            &nbsp;
                                        </ww:if>
                                        <a href="<ww:url value="'/console/secure/application/application.UpdateDirectories!down.jspa'" />?ID=<ww:property value="ID" />&directoryID=<ww:property value="directory/ID" />&tab=2" name="<ww:property value="text('movedown.label')" />"><img src="<ww:url value="'/console/images/icons/16x16/arrow_down_blue.gif'" />" alt="<ww:property value="text('movedown.label')" />" /></a>
                                    </ww:if>
                                    </td>
                                </ww:if>

                                <td>
                                    <a href="<ww:url value="'/console/secure/application/application.UpdateDirectories!removeDirectory.jspa'" />?ID=<ww:property value="ID" />&directoryID=<ww:property value="directory/ID" />&tab=2" title="<ww:property value="text('remove.label')"/>">
                                        <ww:property value="text('remove.label')"/>
                                    </a>

                                </td>

                            </tr>

                        </ww:iterator>

                    </table>

                    <div class="row">
                        <p style="text-align: right;">

                            <ww:if test="unsubscribedDirectories/size > 0">
                                <select name="unsubscribedDirectoriesID"  style="width: 270px;">
                                    <ww:iterator value="unsubscribedDirectories">
                                        <option value="<ww:property value="ID" />">
                                            <ww:property value="name" />
                                        </option>
                                    </ww:iterator>
                                </select>

                                <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addDirectory();" />
                            </ww:if>

                            <!--
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/application/application.ViewApplication!default.jspa'" />?ID=<ww:property value="ID"/>&tab=3';"/>
                            -->
                        </p>
                    </div>

                    <p>
                        <ww:property value="text('application.directorymappings.text')"/>
                    </p>

                </form>
            </div>

            <div class="tabcontent" id="tab3">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/application/application.UpdateGroups!update.jspa'" />" name="groupsForm">

                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />
                    <input type="hidden" name="tab" value="3" />

                    <table id="groupsTable">
                        <tr>
                            <th width="64%"><ww:property value="text('browser.directory.label')" />&nbsp;&ndash;&nbsp;<ww:property value="text('browser.group.label')" /></th>
                            <th width="18%"><ww:property value="text('browser.active.label')" /></th>
                            <th width="18%"><ww:property value="text('browser.action.label')" /></th>
                        </tr>

                        <ww:iterator value="application/groups" status="'rowstatus'">

                            <input type="hidden" name="group<ww:property value="@rowstatus/count" />" value="<ww:property value="directory/ID" />" />

                            <ww:if test="@rowstatus/odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                                <td><ww:property value="directory/name" />&nbsp;&ndash;&nbsp;<ww:property value="name" /></td>

                            <td>
                                <select name="active-<ww:property value="directory/ID" />-<ww:property value="name" />" style="width: 130px;">
                                    <option value="true" <ww:if test="active == true">selected</ww:if>><ww:property value="text('active.label')" /></option>
                                    <option value="false" <ww:if test="active == false">selected</ww:if>><ww:property value="text('inactive.label')" /></option>
                                </select>
                            </td>

                            <td>
                                <a href="<ww:url value="'/console/secure/application/application.UpdateGroups!removeGroup.jspa'" />?ID=<ww:property value="ID" />&removeDirectoryID=<ww:property value="directory/ID" />&tab=3&removeName=<ww:property value="name" />" title="<ww:property value="text('remove.label')"/>">
                                    <ww:property value="text('remove.label')"/>
                                </a>
                            </td>

                            </tr>

                        </ww:iterator>

                    </table>

                    <div class="row">
                        <p style="text-align: right;">
                            <ww:if test="unsubscribedGroups/size > 0">
                                <select name="unsubscribedGroup"  style="width: 270px;">
                                    <ww:iterator value="unsubscribedGroups">
                                        <option value="<ww:property value="directory/ID" />-<ww:property value="name" />">
                                            <ww:property value="directory/name" />&nbsp;&ndash;&nbsp;<ww:property value="name" />
                                        </option>
                                    </ww:iterator>
                                </select>

                                <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addGroup();" />
                            </ww:if>

                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/application/application.ViewApplication!default.jspa'" />?ID=<ww:property value="ID"/>&tab=3';"/>
                        </p>
                    </div>

                    <p>
                        <ww:property value="text('application.groupmappings.text')"/>
                    </p>

                </form>

            </div>

            <div class="tabcontent" id="tab4">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/application/application.UpdateAddresses!update.jspa'" />" name="addressForm">

                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />
                    <input type="hidden" name="tab" value="4" />

                    <table id="addressesTable">
                        <tr>
                            <th width="64%"><ww:property value="text('browser.address.label')" /></th>
                            <th width="18%"><ww:property value="text('browser.active.label')" /></th>
                            <th width="18%"><ww:property value="text('browser.action.label')" /></th>
                        </tr>

                        <ww:iterator value="application/addresses" status="'rowstatus'">

                            <ww:if test="@rowstatus/odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                                <td><ww:property value="address" /></td>

                            <td>
                                <select name="active-<ww:property value="address" />" style="width: 130px;">
                                    <option value="true" <ww:if test="active == true">selected</ww:if>><ww:property value="text('true.label')" /></option>
                                    <option value="false" <ww:if test="active == false">selected</ww:if>><ww:property value="text('false.label')" /></option>
                                </select>
                            </td>

                            <td>
                                <a href="<ww:url value="'/console/secure/application/application.UpdateAddresses!removeAddress.jspa'" />?ID=<ww:property value="ID" />&address=<ww:property value="address" />&tab=4" title="<ww:property value="text('remove.label')"/>"><ww:property value="text('remove.label')"/></a>
                            </td>

                            </tr>

                        </ww:iterator>

                    </table>

                    <div class="row">
                        <p style="text-align: right;">

                            Address:&nbsp;<input type="text" name="address" size="20" style="width: 200px;" value="" />&nbsp;
                            <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addAddress();" />
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/application/application.ViewApplication!default.jspa'" />?ID=<ww:property value="ID"/>&tab=4';"/>
                        </p>
                    </div>

                    <p>
                        <ww:property value="text('application.addressmappings.text')"/>
                    </p>

                </form>

            </div>

            <div class="tabcontent" id="tab5">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/application/application.ViewApplication!configTest.jspa'" />" name="addressForm">

                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />
                    <input type="hidden" name="tab" value="5" />

                    <p>
                        <ww:property value="text('configtest.text.1')"/>
                    </p>

                    <p style="margin-bottom: 10px;">
                        <ww:property value="text('configtest.text.2')"/>
                    </p>

                    <div class="row">

                    <ww:if test="testAuthentication == true">

                        <ww:if test="validTestAuthentication == true">
                            <p class="success">
                                <ww:property value="text('configtest.validauth.text')"/>
                            </p>
                        </ww:if>
                        <ww:else>
                            <p class="error">
                                <ww:property value="text('configtest.invalidauth.text')"/>
                            </p>
                        </ww:else>

                    </ww:if>

                    </div>

                    <ww:textfield name="'testUsername'" label="text('principal.name.label')">
                    </ww:textfield>

                    <ww:password name="'testPassword'" label="text('principal.password.label')">
                    </ww:password>


                    <div class="row">
                        <p style="text-align: right;">

                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/application/application.ViewApplication!default.jspa'" />?ID=<ww:property value="ID"/>&tab=5';"/>
                        </p>
                    </div>


                </form>

            </div>

        </div>

    </body>
</html>