<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>

<html>
    <head>
        <title><ww:property value="text('directoryinternalcreate.title')"/></title>
        <meta name="section" content="directories" />
    </head>
    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="2" />
        </jsp:include>

        <div class="content">

            <form method="post" action="<ww:url value="'/console/secure/directory/directory.CreateInternal!update.jspa'" />" name="directoryinternal">

            <h2><ww:property value="text('directoryinternalcreate.title')"/></h2>

            <ul class="tabs">
                <li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);" >
                        <ww:property value="text('menu.details.label')"/>
                    </a>
                </li>

                <li id="hreftab2">
                    <a href="javascript:processTabs(2);" >
                        <ww:property value="text('menu.permissions.label')"/>
                    </a>
                </li>

            </ul>

            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <ww:textfield name="'name'" label="text('directoryinternal.name.label')" size="50">
                    <ww:param name="'description'"><ww:property value="text('directoryinternal.name.description')"/></ww:param>
                </ww:textfield>

                <ww:textfield name="'description'" label="text('directoryinternal.description.label')" size="50">
                    <ww:param name="'description'"><ww:property value="text('directoryinternal.description.description')"/></ww:param>
                </ww:textfield>

                <ww:checkbox name="'active'" label="text('directory.active.label')" fieldValue="true">
                </ww:checkbox>

                <ww:textfield name="'passwordRegex'" label="text('directoryinternal.passwordregex.label')" size="50">
                    <ww:param name="'description'"><ww:property value="text('directoryinternal.passwordregex.description')"/></ww:param>
                </ww:textfield>

                <ww:textfield name="'passwordMaxAttempts'" label="text('directoryinternal.passwordmaxattempts.label')">
                    <ww:param name="'description'"><ww:property value="text('directoryinternal.passwordmaxattempts.description')"/></ww:param>
                </ww:textfield>

                <ww:textfield name="'passwordMaxChangeTime'" label="text('directoryinternal.passwordmaxchangetime.label')">
                    <ww:param name="'description'"><ww:property value="text('directoryinternal.passwordmaxchangetime.description')"/></ww:param>
                </ww:textfield>

                <ww:textfield name="'passwordHistoryCount'" label="text('directoryinternal.passwordhistorycount.label')">
                    <ww:param name="'description'"><ww:property value="text('directoryinternal.passwordhistorycount.description')"/></ww:param>
                </ww:textfield>

                <div class="row">
                    <p style="text-align: right;">
                        <input type="submit" class="button" value="<ww:property value="text('continue.label')"/> &raquo;"/>
                        <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.BrowseDirectories.jspa'" />';"/>
                    </p>
                </div>

            </div>

            <div class="tabcontent" id="tab2">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <ww:checkbox name="'permissionGroupAdd'" label="text('permission.addgroup.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.addgroup.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionPrincipalAdd'" label="text('permission.addprincipal.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.addprincipal.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionRoleAdd'" label="text('permission.addrole.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.addrole.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionGroupModify'" label="text('permission.modifygroup.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.modifygroup.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionPrincipalModify'" label="text('permission.modifyprincipal.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.modifyprincipal.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionRoleModify'" label="text('permission.modifyrole.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.modifyrole.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionGroupRemove'" label="text('permission.removegroup.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.removegroup.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionPrincipalRemove'" label="text('permission.removeprincipal.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.removeprincipal.description')"/></ww:param>
                </ww:checkbox>

                <ww:checkbox name="'permissionRoleRemove'" label="text('permission.removerole.label')" fieldValue="true">
                    <ww:param name="'description'"><ww:property value="text('permission.removerole.description')"/></ww:param>
                </ww:checkbox>

            </div>

        </form>

    </div>

    </body>
</html>