<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>

<html>
    <head>
        <title><ww:property value="text('menu.viewdirectory.label')"/></title>
        <meta name="section" content="directories" />
    </head>
    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="4" />
        </jsp:include>

        <div class="content">

            <p class="headingInfo">
                <a href="<ww:url page="/console/secure/directory/directory.CreateDirectory!default.jspa" />"><ww:property value="text('menu.adddirectory.label')"/></a>
                &nbsp; | &nbsp;
                <a href="<ww:url page="/console/secure/dataimport/dataimport.UserAggregator!default.jspa" />?directoryID=<ww:property value="ID" />">
                    <ww:property value="text('menu.useraggregator.label')"/></a>
                &nbsp; | &nbsp;
                <a href="<ww:url page="/console/secure/directory/directory.RemoveDirectory!default.jspa" />?ID=<ww:property value="ID" />"><ww:property value="text('menu.removedirectory.label')"/></a>
            </p>

            <h2><ww:property value="text('menu.viewdirectory.label')"/>&nbsp;&ndash;&nbsp;<ww:property value="name"/></h2>

            <ul class="tabs">
                <li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);" >
                        <ww:property value="text('menu.details.label')"/>
                    </a>
                </li>

                <li id="hreftab2">
                    <a href="javascript:processTabs(2);" >
                        <ww:property value="text('menu.connector.label')"/>
                    </a>
                </li>

                <li id="hreftab3">
                    <a href="javascript:processTabs(3);" >
                        <ww:property value="text('menu.configuration.label')"/>
                    </a>
                </li>

                <li id="hreftab4">
                    <a href="javascript:processTabs(4);" >
                        <ww:property value="text('menu.permissions.label')"/>
                    </a>
                </li>

            </ul>

            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateConnector!updateGeneral.jspa'" />">

                    <input type="hidden" name="tab" value="1" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <ww:textfield name="'name'" label="text('directoryinternal.name.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryinternal.name.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'description'" label="text('directoryinternal.description.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryinternal.description.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <label for="'<ww:property value="text('directory.type.label')"/>'"><ww:property value="text('directory.type.label')"/>:</label>

                        <span class="value"><ww:property value="directory/implementation/directoryType" /></span>
                    </div>

                    <ww:checkbox name="'active'" label="text('directory.active.label')" fieldValue="true">
                    </ww:checkbox>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.ViewConnector!default.jspa'" />?ID=<ww:property value="ID" />&tab=1';"/>
                        </p>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab2">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateConnector!updateConnector.jspa'" />">

                    <input type="hidden" name="tab" value="2" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <div class="row">
                        <label for="'<ww:property value="text('directory.connector.label')"/>'"><ww:property value="text('directory.connector.label')"/>:</label>

                        <span class="value"><ww:property value="directory/implementation/directoryType" /></span>
                    </div>

                    <ww:textfield name="'URL'" label="text('directoryconnector.url.label')" size="50">
                         <ww:param name="'description'"><ww:property value="text('directoryconnector.url.description')"/></ww:param>
                     </ww:textfield>

                    <ww:checkbox name="'secure'" label="text('directoryconnector.secure.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.secure.description')"/></ww:param>
                    </ww:checkbox>

                   <ww:textfield name="'baseDN'" label="text('directoryconnector.basedn.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.basedn.description')"/></ww:param>
                    </ww:textfield>

                   <ww:textfield name="'userDN'" label="text('directoryconnector.userdn.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.userdn.description')"/></ww:param>
                    </ww:textfield>

                    <ww:password name="'password'" label="text('directoryconnector.password.label')" size="50">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.password.description')"/></ww:param>
                    </ww:password>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.ViewConnector!default.jspa'" />?ID=<ww:property value="ID" />&tab=2';"/>
                        </p>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab3">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateConnector!updateConfiguration.jspa'" />">

                    <input type="hidden" name="tab" value="3" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <div class="row">
                        <i><ww:property value="text('directoryconnector.groupconfiguration.label')"/></i>
                        <p />
                    </div>

                    <ww:textfield name="'groupDNaddition'" label="text('directoryconnector.groupdnaddition.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.groupdnaddition.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'groupObjectClass'" label="text('directoryconnector.groupobjectclass.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.groupobjectclass.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'groupNameAttr'" label="text('directoryconnector.groupname.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.groupname.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'groupDescriptionAttr'" label="text('directoryconnector.groupdescription.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.groupdescription.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'groupMemberAttr'" label="text('directoryconnector.groupmember.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.groupmember.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <br />
                        <i><ww:property value="text('directoryconnector.roleconfiguration.label')"/></i>
                        <p />
                    </div>

                    <ww:textfield name="'roleDNaddition'" label="text('directoryconnector.rolednaddition.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.rolednaddition.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'roleObjectClass'" label="text('directoryconnector.roleobjectclass.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.roleobjectclass.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'roleNameAttr'" label="text('directoryconnector.rolename.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.rolename.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'roleDescriptionAttr'" label="text('directoryconnector.roledescription.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.roledescription.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'roleMemberAttr'" label="text('directoryconnector.rolemember.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.rolemember.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <br />
                        <i><ww:property value="text('directoryconnector.userconfiguration.label')"/></i>
                        <p />
                    </div>

                    <ww:textfield name="'userDNaddition'" label="text('directoryconnector.userdnaddition.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.userdnaddition.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userObjectClass'" label="text('directoryconnector.userobjectclass.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.userobjectclass.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userNameAttr'" label="text('directoryconnector.usernameattribute.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.usernameattribute.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userFirstnameAttr'" label="text('directoryconnector.userfirstnameattribute.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.userfirstnameattribute.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userLastnameAttr'" label="text('directoryconnector.userlastnameattribute.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.userlastnameattribute.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userMailAttr'" label="text('directoryconnector.usermailattribute.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.usermailattribute.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userGroupMemberAttr'" label="text('directoryconnector.usermemberofattribute.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.usermemberofattribute.description')"/></ww:param>
                    </ww:textfield>

                    <ww:textfield name="'userPasswordAttr'" label="text('directoryconnector.userpassword.label')" size="'35px;'">
                        <ww:param name="'description'"><ww:property value="text('directoryconnector.userpassword.description')"/></ww:param>
                    </ww:textfield>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.ViewConnector!default.jspa'" />?ID=<ww:property value="ID" />&tab=2';"/>
                        </p>
                    </div>

                </form>

            </div>

            <div class="tabcontent" id="tab4">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/directory/directory.UpdateConnector!updatePermission.jspa'" />">

                    <input type="hidden" name="tab" value="4" />
                    <input type="hidden" name="ID" value="<ww:property value="ID" />" />

                    <ww:checkbox name="'permissionGroupAdd'" label="text('permission.addgroup.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.addgroup.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionPrincipalAdd'" label="text('permission.addprincipal.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.addprincipal.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionRoleAdd'" label="text('permission.addrole.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.addrole.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionGroupModify'" label="text('permission.modifygroup.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.modifygroup.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionPrincipalModify'" label="text('permission.modifyprincipal.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.modifyprincipal.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionRoleModify'" label="text('permission.modifyrole.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.modifyrole.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionGroupRemove'" label="text('permission.removegroup.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.removegroup.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionPrincipalRemove'" label="text('permission.removeprincipal.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.removeprincipal.description')"/></ww:param>
                    </ww:checkbox>

                    <ww:checkbox name="'permissionRoleRemove'" label="text('permission.removerole.label')" fieldValue="true">
                        <ww:param name="'description'"><ww:property value="text('permission.removerole.description')"/></ww:param>
                    </ww:checkbox>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/directory/directory.ViewConnector!default.jspa'" />?ID=<ww:property value="ID" />&tab=4';"/>
                        </p>
                    </div>

                </form>

            </div>

        </div>

    </body>
</html>