<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('menu.viewgroup.label')"/></title>
        <meta name="section" content="groups" />
    </head>
    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="2" />
        </jsp:include>


        <div class="content">

            <p class="headingInfo">
                <a href="<ww:url page="/console/secure/group/group.AddGroup!default.jspa" />"><ww:property value="text('menu.addgroup.label')"/></a>
                &nbsp; | &nbsp;
                <a href="<ww:url page="/console/secure/group/group.RemoveGroup!default.jspa" />?directoryID=<ww:property value="directoryID" />&name=<ww:property value="name" />"><ww:property value="text('menu.removegroup.label')"/></a>
            </p>

            <h2><ww:property value="text('menu.viewgroup.label')"/>&nbsp;&ndash;&nbsp;<ww:property value="name"/></h2>


            <ul class="tabs">
                <li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);" >
                        <ww:property value="text('menu.details.label')"/>
                    </a>
                </li>

            </ul>

            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/group/group.UpdateGroup!updateGeneral.jspa'" />">

                    <input type="hidden" name="tab" value="1" />
                    <input type="hidden" name="directoryID" value="<ww:property value="directoryID" />" />
                    <input type="hidden" name="name" value="<ww:property value="name" />" />

                    <div class="row">
                        <label for="'<ww:property value="text('group.name.label')"/>'"><ww:property value="text('group.name.label')"/>:</label>

                        <span class="value"><ww:property value="name" /></span>
                    </div>

                    <ww:textfield name="'description'" label="text('group.description.label')" size="'50'">
                    </ww:textfield>

                    <ww:checkbox name="'active'" label="text('group.active.label')" fieldValue="true">
                    </ww:checkbox>

                    <div class="row">
                        <label for="'<ww:property value="text('group.directory.label')"/>'"><ww:property value="text('group.directory.label')"/>:</label>

                        <span class="value"><ww:property value="directory/name" /></span>
                    </div>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/group/group.ViewGroup!default.jspa?tab=1'" />&directoryID=<ww:property value="directoryID" />&name=<ww:property value="name" />';"/>
                        </p>
                    </div>

                </form>
            </div>

        </div>

    </body>
</html>