<%@ page import="com.atlassian.crowd.integration.Constants"%><%@ page import="java.util.Calendar"%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('systeminfo.title')"/></title>
        <meta name="section" content="systeminfo" /> 
    </head>

    <body>

            <h2><ww:property value="text('systeminfo.title')"/></h2>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.date.label')"/>'"><ww:property value="text('systeminfo.date.label')"/>:</label>

                <ww:bean name="'webwork.util.DateFormatter'" id="dateFormatter">
                    <ww:param name="'date'" value="."/>
                    <ww:param name="'format'" value="'EEEE, dd MMM yyyy'"/>
                </ww:bean>

                <span class="value"><ww:property value="@dateFormatter/formattedDate" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.time.label')"/>'"><ww:property value="text('systeminfo.time.label')"/>:</label>

                <ww:bean name="'webwork.util.DateFormatter'" id="dateFormatter">
                    <ww:param name="'date'" value="."/>
                    <ww:param name="'format'" value="'HH:mm:ss'"/>
                </ww:bean>

                <span class="value"><ww:property value="@dateFormatter/formattedDate" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.timezone.label')"/>'"><ww:property value="text('systeminfo.timezone.label')"/>:</label>

                <span class="value"><ww:property value="timeZone"/></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.javaversion.label')"/>'"><ww:property value="text('systeminfo.javaversion.label')"/>:</label>

                <span class="value"><ww:property value="javaVersion" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.javavendor.label')"/>'"><ww:property value="text('systeminfo.javavendor.label')"/>:</label>

                <span class="value"><ww:property value="javaVendor" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.jvmversion.label')"/>'"><ww:property value="text('systeminfo.jvmversion.label')"/>:</label>

                <span class="value"><ww:property value="javaVMVersion" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.jvmvendor.label')"/>'"><ww:property value="text('systeminfo.jvmvendor.label')"/>:</label>

                <span class="value"><ww:property value="javaVMVendor" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.jvm.label')"/>'"><ww:property value="text('systeminfo.jvm.label')"/>:</label>

                <span class="value"><ww:property value="javaRuntime" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.username.label')"/>'"><ww:property value="text('systeminfo.username.label')"/>:</label>

                <span class="value"><ww:property value="applicationUsername" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.os.label')"/>'"><ww:property value="text('systeminfo.os.label')"/>:</label>

                <span class="value"><ww:property value="operatingSystem" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.architecture.label')"/>'"><ww:property value="text('systeminfo.architecture.label')"/>:</label>

                <span class="value"><ww:property value="architecture" /></span>
            </div>

            <div class="row">
                <h2><ww:property value="text('systeminfo.statistics.label')"/></h2>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.totalmemory.label')"/>'"><ww:property value="text('systeminfo.totalmemory.label')"/>:</label>

                <span class="value"><ww:property value="totalMemory" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.usedmemory.label')"/>'"><ww:property value="text('systeminfo.usedmemory.label')"/>:</label>

                <span class="value"><ww:property value="usedMemory" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.freememory.label')"/>'"><ww:property value="text('systeminfo.freememory.label')"/>:</label>

                <span class="value"><ww:property value="freeMemory" /></span>
            </div>

            <div class="row">
                <h2><ww:property value="text('systeminfo.runtimeinfo.label')"/></h2>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.appserver.label')"/>'"><ww:property value="text('systeminfo.appserver.label')"/>:</label>

                <span class="value"><%=application.getServerInfo()%></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.dialect.label')"/>'"><ww:property value="text('systeminfo.dialect.label')"/>:</label>

                <span class="value"><ww:property value="dialect" /></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.version.label')"/>'"><ww:property value="text('systeminfo.version.label')"/>:</label>

                <span class="value"><%=Constants.MAJOR_VERSION%>.<%=Constants.MINOR_VERSION%>.<%=Constants.SUB_MINOR_VERSION%></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.buildversion.label')"/>'"><ww:property value="text('systeminfo.buildversion.label')"/>:</label>

                <span class="value"><%=Constants.BUILD_VERSION%></span>
            </div>

            <div class="row">
                <label for="'<ww:property value="text('systeminfo.builddate.label')"/>'"><ww:property value="text('systeminfo.builddate.label')"/>:</label>

                <span class="value"><%=Constants.BUILD_DATE%></span>
            </div>

    </body>
</html>