<%@ page import="com.atlassian.crowd.integration.Constants" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="webwork" prefix="ww" %>

<ww:action name="'BaseAction'">

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
    <head>

        <decorator:usePage id="sitemeshPage" />

        <title><ww:property value="text('application.title')"/> - <decorator:title/></title>

        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta name="author" content="Atlassian" />
        <meta name="robots" content="all" />

        <meta name="MSSmartTagsPreventParsing" content="true" />
        <meta name="description" content="" />
        <meta name="keywords" content="" />

        <link rel="shortcut icon" href="<ww:url value="'/favicon.ico'"/>">

        <decorator:head />

        <style type="text/css" media="all">
            @import "<ww:url value="'/style/main.css'"/>";
            @import "<ww:url value="'/style/idx-legacy.css'"/>";
        </style>

    </head>

    <body onload="<decorator:getProperty property="body.onload" />">

        <ul id="top">
            <li id="skipNav">
                <a href="#menu">Skip to navigation</a>
            </li>
            <li>
                <a href="#content">Skip to content</a>
            </li>
        </ul>
        <div id="nonFooter">

        <div id="header">
			<div id="logo">
                <a href="<ww:url value="'/'"/>"><img alt="<%=Constants.APPLICATION_NAME%>" src="<ww:url value="'/images/logo.gif'"/>" height="36" width="118" /></a>
			</div>

            <ul id="userOptions">
                <ww:if test="authenticated == true">
				<li id="userInfo">
					<ww:property value="text('user.label')"/>: <strong><ww:property value="principalName" /></strong>
				</li>

				<li id="profileLink">
					<a href="<ww:url page="/Logoff.jspa" />"><ww:property value="text('menu.logout.label')"/></a>
				</li>
                </ww:if>
				<li id="help">
					<a href="<%=Constants.DOCUMENTATION_URL%>"><ww:property value="text('menu.documentation.label')"/></a>
				</li>
			</ul>
        </div> <!-- END #header -->

        <div id="menu">
			<ul>
                <li <% if ("home".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
					<a href="<ww:url page="/secure/Console.jspa"/>">
                        <ww:property value="text('menu.console.label')"/></a>
                </li>
                <ww:if test="authenticated == true ">

                <li <% if ("groups".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/secure/group/group.BrowseGroups.jspa"/>">
                                <ww:property value="text('menu.group.label')"/></a>
                </li>
                <li <% if ("principals".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/console/secure/principal/principal.BrowsePrincipals.jspa"/>">
                        <ww:property value="text('menu.principal.label')"/></a>
                </li>
                <li <% if ("roles".equals(sitemeshPage.getProperty("meta.section"))) { %>class="on"<% } %>>
                    <a href="<ww:url page="/secure/role/role.BrowseRoles.jspa"/>">
                                <ww:property value="text('menu.role.label')"/></a>
                </li>
                </ww:if>
            </ul>
		</div> <!-- END #menu -->


        <div class="container">

            <decorator:body />

        </div>


        </div>

        <div id="footer">
            <p>
                Powered by <a href="http://confluence.atlassian.com/display/CROWD">Atlassian Crowd</a> version <%= Constants.BUILD_VERSION %> (<%= Constants.BUILD_DATE %>)
            </p>
            <ul>
                <li class="first">
                    <a href="http://jira.atlassian.com/browse/CWD"><ww:property value="text('support.bug')"/></a>

                </li>
                <li>
                    <a href="http://jira.atlassian.com/browse/CWD"><ww:property value="text('support.feature')"/></a>
                </li>
                <li>
                    <a href="http://www.atlassian.com/about/contact.jsp"><ww:property value="text('support.contact')"/></a>
                </li>
            </ul>
        </div> <!-- END #footer -->


    </body>

</html>

</ww:action>    