<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="webwork" prefix="ww" %>
<html>
    <head>
        <title><ww:property value="text('menu.viewprincipal.label')"/></title>
        <meta name="section" content="principals" />
    </head>
    <body onload="init();">

        <jsp:include page="../../decorator/javascript_tabs.jsp">
                <jsp:param name="totalTabs" value="4" />
        </jsp:include>

        <script language="javascript">

            function addGroup() {
                var form = document.groupsForm;
                form.action = '<ww:url value="'/secure/principal/principal.UpdatePrincipal!addGroup.jspa'" />';
                form.submit();
            }

            function addRole() {
                var form = document.rolesForm;
                form.action = '<ww:url value="'/secure/principal/principal.UpdatePrincipal!addRole.jspa'" />';
                form.submit();
            }

            function addAttribute() {
                var form = document.attributesForm;
                form.action = '<ww:url value="'/secure/principal/principal.UpdatePrincipal!addAttribute.jspa'" />';
                form.submit();
            }

        </script>

        <div class="content">

        <p class="headingInfo">
            <a href="<ww:url page="/secure/principal/principal.AddPrincipal!default.jspa" />"><ww:property value="text('menu.addprincipal.label')"/></a>&nbsp;&ndash;&nbsp;<a href="<ww:url page="/secure/principal/principal.RemovePrincipal!default.jspa" />??name=<ww:property value="name" />"><ww:property value="text('menu.removeprincipal.label')"/></a>
        </p>

        <h2><ww:property value="text('menu.viewprincipal.label')"/>&nbsp;&ndash;&nbsp;<ww:property value="name" /></h2>

        <ul class="tabs">
                <li class="on" id="hreftab1">
                    <a href="javascript:processTabs(1);">
                        <ww:property value="text('menu.details.label')"/>
                    </a>
                </li>

                <li id="hreftab2">
                    <a href="javascript:processTabs(2);">
                        <ww:property value="text('menu.attributes.label')"/>
                    </a>
                </li>

                <li id="hreftab3">
                    <a href="javascript:processTabs(3);">
                        <ww:property value="text('menu.group.label')"/>
                    </a>
                </li>

                <li id="hreftab4">
                    <a href="javascript:processTabs(4);">
                        <ww:property value="text('menu.role.label')"/>
                    </a>
                </li>

            </ul>


            <div class="tabcontent" id="tab1">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/principal/principal.UpdatePrincipal!updateGeneral.jspa'" />">

                    <input type="hidden" name="tab" value="1" />
                    <input type="hidden" name="name" value="<ww:property value="name" />" />

                    <div class="row">
                        <label for="'<ww:property value="text('principal.name.label')"/>'"><ww:property value="text('principal.name.label')"/>:</label>

                        <span class="value"><ww:property value="name" /></span>
                    </div>

                    <ww:textfield name="'firstname'" label="text('principal.firstname.label')" size="'35px;'" >
                    </ww:textfield>

                    <ww:textfield name="'lastname'" label="text('principal.lastname.label')" size="'35px;'" >
                    </ww:textfield>

                    <ww:textfield name="'email'" label="text('principal.email.label')" size="'35px;'" >
                    </ww:textfield>

                    <ww:checkbox name="'active'" label="text('principal.active.label')" fieldValue="true">
                    </ww:checkbox>

                    <ww:password name="'password'" label="text('password.label')">
                        <ww:param name="'description'"><ww:property value="text('principal.editpassword.description')"/></ww:param>
                    </ww:password>

                    <ww:password name="'passwordConfirm'" label="text('principal.passwordconfirm.label')">
                    </ww:password>

                    <div class="row">
                        <p style="text-align: right;">
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/principal/principal.ViewPrincipal!default.jspa'" />?name=<ww:property value="name" />&tab=1';"/>
                        </p>
                    </div>

                </form>
            </div>

            <div class="tabcontent" id="tab2">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/principal/principal.UpdatePrincipal!updateAttributes.jspa'" />" name="attributesForm">

                    <input type="hidden" name="tab" value="2" />
                    <input type="hidden" name="name" value="<ww:property value="name" />" />

                    <table id="attributes">
                        <tr>
                            <th width="40%"><ww:property value="text('attribute.label')" /></th>
                            <th width="40%"><ww:property value="text('values.label')" /></th>
                            <th width="20%"><ww:property value="text('browser.action.label')" /></th>
                        </tr>

                        <ww:iterator value="principal/attributes" status="'rowstatus'">

                            <input type="hidden" name="attributes" value="<ww:property value="name" />" />

                            <ww:if test="@rowstatus/odd == true"><tr class="odd"></ww:if>
                            <ww:else><tr class="even"></ww:else>
                                <td><ww:property value="name" /></td>
                                <td>
                                    <ww:iterator value="values" status="'valuestatus'">
                                        <input type="text" name="<ww:property value="name" /><ww:property value="@valuestatus/count" />" value="<ww:property value="." />" size="30" /><br />
                                    </ww:iterator>
                                </td>
                                <td><a href="<ww:url value="'/console/secure/principal/principal.UpdatePrincipal!removeAttribute.jspa'" />?name=<ww:property value="../name" />&attribute=<ww:property value="name" />&tab=2"><ww:property value="text('remove.label')"/></a></td>
                            </tr>
                        </ww:iterator>
                    </table>

                    <div class="row">
                        <p style="text-align: right;">
                            <ww:property value="text('attribute.label')"/>:&nbsp;<input type="text" name="attribute" size="15" value="<ww:property value="attribute" />" />&nbsp;
                            <ww:property value="text('value.label')"/>:&nbsp;<input type="text" name="value" size="15" value="<ww:property value="value" />" />&nbsp;
                            <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addAttribute();"/>
                            <input type="submit" class="button" value="<ww:property value="text('update.label')"/> &raquo;"/>
                            <input type="button" class="button" value="<ww:property value="text('cancel.label')"/>" onClick="window.location='<ww:url value="'/console/secure/principal/principal.ViewPrincipal!default.jspa?tab=2'" />&name=<ww:property value="name" />';"/>
                        </p>
                    </div>

                </form>
            </div>

            <div class="tabcontent" id="tab3">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/console/secure/principal/principal.UpdatePrincipal!updateGroups.jspa'" />" name="groupsForm">

                    <input type="hidden" name="tab" value="3" />
                    <input type="hidden" name="name" value="<ww:property value="name" />" />

                    <table id="groupsTable">
                        <tr>
                            <th width="64%"><ww:property value="text('browser.group.label')" /></th>
                            <th width="36%"><ww:property value="text('browser.action.label')" /></th>
                        </tr>

                        <ww:iterator value="subscribedGroups" status="'rowstatus'">

                            <ww:if test="@rowstatus/odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                                <td><ww:property value="name" /></td>

                            <td><a href="<ww:url value="'/console/console/principal/principal.UpdatePrincipal!removeGroup.jspa'" />?tab=3&removeGroup=<ww:property value="name" />&name=<ww:property value="../name" />"><ww:property value="text('remove.label')"/></a></td>

                            </tr>

                        </ww:iterator>

                    </table>

                    <div class="row">
                        <p style="text-align: right;">
                            <ww:if test="unsubscribedGroups/size > 0">
                                <select name="unsubscribedGroup"  style="width: 270px;">
                                    <ww:iterator value="unsubscribedGroups">
                                        <option value="<ww:property value="name" />">
                                            <ww:property value="name" />
                                        </option>
                                    </ww:iterator>
                                </select>

                                <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addGroup();" />
                            </ww:if>
                        </p>
                    </div>

                    <p>
                        <ww:property value="text('principal.groupmappings.text')"/>
                    </p>

                </form>

            </div>

            <div class="tabcontent" id="tab4">

                <ww:if test="hasErrorMessages == true">
                    <ww:iterator value="errorMessages">
                        <p class="error">
                            <ww:property value="."/><br/>
                        </p>
                    </ww:iterator>
                </ww:if>

                <form method="post" action="<ww:url value="'/secure/principal/principal.UpdatePrincipal!updateRoles.jspa'" />" name="rolesForm">

                    <input type="hidden" name="tab" value="4" />
                    <input type="hidden" name="name" value="<ww:property value="name" />" />

                    <table id="rolesTable">
                        <tr>
                            <th width="64%"><ww:property value="text('browser.role.label')" /></th>
                            <th width="36%"><ww:property value="text('browser.action.label')" /></th>
                        </tr>

                        <ww:iterator value="subscribedRoles" status="'rowstatus'">

                            <ww:if test="@rowstatus/odd == true">
                                <tr class="odd">
                            </ww:if>
                            <ww:else>
                                <tr class="even">
                            </ww:else>

                                <td><ww:property value="name" /></td>

                            <td><a href="<ww:url value="'/console/console/principal/principal.UpdatePrincipal!removeRole.jspa'" />?tab=4&removeRole=<ww:property value="name" />&name=<ww:property value="../name" />"><ww:property value="text('remove.label')"/></a></td>

                            </tr>

                        </ww:iterator>

                    </table>

                    <div class="row">
                        <p style="text-align: right;">
                            <ww:if test="unsubscribedRoles/size > 0">
                                <select name="unsubscribedRole"  style="width: 270px;">
                                    <ww:iterator value="unsubscribedRoles">
                                        <option value="<ww:property value="name" />">
                                            <ww:property value="name" />
                                        </option>
                                    </ww:iterator>
                                </select>

                                <input type="button" class="button" value="<ww:property value="text('add.label')"/> &raquo;" onClick="addRole();" />
                            </ww:if>
                        </p>
                    </div>

                    <p>
                        <ww:property value="text('principal.rolemappings.text')"/>
                    </p>

                </form>

            </div>

        </div>

    </body>
</html>